- Qt 5.5
- Qt3D Module
- C++ Classes
- QInputAspect
- Qt 5.5.1 Reference Documentation

# QInputAspect Class

(Qt3D::QInputAspect)

Header: | #include <QInputAspect>
qmake: | QT += 3dinput
Since: | Qt 5.5
Inherits: | QAbstractAspect

- List of all members, including inherited members

## Properties

- camera : Qt3D::QCamera *

## Public Functions

| QInputAspect(QObject * parent = 0)
QCamera * | camera() const

## Reimplemented Public Functions

virtual QVector<QAspectJobPtr> | jobsToExecute(qint64 time)
virtual void | sceneNodeAdded(QSceneChangePtr & e)
virtual void | sceneNodeRemoved(QSceneChangePtr & e)

- 5 public functions inherited from Qt3D::QAbstractAspect
- 1 public function inherited from Qt3D::QAspectJobProviderInterface
- 2 public functions inherited from Qt3D::QSceneObserverInterface
- 1 public function inherited from Qt3D::QBackendNodeFactory

## Public Slots

void | setCamera(QCamera * camera)

### Additional Inherited Members

- 5 protected functions inherited from Qt3D::QAbstractAspect

## Detailed Description

## Property Documentation

### camera : Qt3D::QCamera *

Access functions:

QCamera * | camera() const
void | setCamera(QCamera * camera)

## Member Function Documentation

### QInputAspect::QInputAspect(QObject * parent = 0)

### `[virtual]` QVector<QAspectJobPtr> QInputAspect::jobsToExecute(qint64 time)

### `[virtual]` void QInputAspect::sceneNodeAdded(QSceneChangePtr & e)

### `[virtual]` void QInputAspect::sceneNodeRemoved(QSceneChangePtr & e)